Page MenuHomeFreeBSD

comms/birda: Fix build with default PIE.
ClosedPublic

Authored by dgr_semihalf.com on Feb 22 2021, 3:31 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Apr 13, 9:07 AM
Unknown Object (File)
Feb 21 2024, 8:19 AM
Unknown Object (File)
Feb 21 2024, 8:19 AM
Unknown Object (File)
Feb 21 2024, 8:19 AM
Unknown Object (File)
Feb 21 2024, 8:06 AM
Unknown Object (File)
Jan 24 2024, 4:30 AM
Unknown Object (File)
Dec 23 2023, 10:48 AM
Unknown Object (File)
Dec 14 2023, 6:17 PM
Subscribers

Details

Summary

PIE with static libraries is currently unsupported in FreeBSD, which
results in multiple errors when building with PIE. Explicitly disable
PIE for now.

PR: 253275

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Feb 22 2021, 11:58 PM
This revision was automatically updated to reflect the committed changes.